﻿
.field-validation-error {
    width: 100%;
    margin-top: .25rem;
    font-size: 80%;
    color: #dc3545;
}

.invalid-feedback.validation-summary-errors {
    display: block;
}

.field-required::after {
    content: '*';
    margin: 5px 0 5px 5px;
    color: #dc3545;
    font-weight: bold;
}

.card .card-header {
    font-size: .875rem;
}

table.dataTable.dtr-inline.collapsed > tbody > tr[role=row] > td:first-child:before {
    top: 50%;
    background-color: #0275d8;
}

table.dataTable > tbody > tr.child ul.dtr-details > li:last-child {
    padding-bottom: 0;
}

table.dataTable > tbody > tr.child ul.dtr-details {
    white-space: normal;
}

table.dataTable tbody > tr.selected td {
    background-color: inherit;
}

.table td, .table th {
    vertical-align: middle;
}

    .table td a + a {
        margin-left: .5rem;
    }

.table-sm .action-icon {
    position: relative;
    top: 0.1rem;
    line-height: 0;
    font-size: 1rem;
}

.table-sm td .fa {
    line-height: inherit;
}

.table-responsive .dataTables_wrapper .row:nth-child(2) {
    overflow: auto;
}

@media (min-width: 576px) {
    .form-inline .select2-container {
        width: 12rem !important;
        margin-left: .75rem;
    }

    .form-inline select.form-control {
        max-width: 12rem;
    }
}

.flatpickr-input[readonly] {
    background-color: #ffffff;
}

.flatpickr-input:disabled {
    background-color: #e9ecef;
}

.col-form-label {
    padding-top: calc(0.28rem + 1px);
    padding-bottom: calc(0.28rem + 1px);
    font-size: .875rem;
    line-height: 1.5;
}

input.form-control, select.form-control:not(.custom-select):not([size]):not([multiple]), textarea.form-control {
    height: calc(1.8725rem + 2px);
    padding: 0.28rem 0.8rem;
    font-size: .875rem;
    line-height: 1.5;
    border-radius: 0.2rem;
}

textarea.form-control {
    height: auto;
}

.form-control-plaintext {
    background-color: #e9ecef;
    min-height: calc(1.8725rem + 2px);
    padding: 0.28rem 0.8rem;
    font-size: .875rem;
    line-height: 1.5;
    border-radius: 0.2rem;
    color: #6c757d;
    border: 1px solid #dee2e6;
}

.btn {
    padding: 0.28rem 0.8rem;
    font-size: .875rem;
    line-height: 1.5;
    border-radius: 0.15rem;
}

.btn-list {
    display: flex;
    gap: .5rem;
}

.custom-file {
    height: calc(1.8725rem + 2px);
}

.custom-file-input, .custom-file-label {
    display: flex;
    align-items: center;
    height: calc(1.8725rem + 2px);
    padding: 0.28rem 0.8rem;
    margin-bottom: 0;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

    .custom-file-label::after {
        content: none;
    }

.select2-container .select2-selection--single {
    height: calc(1.875rem + 2px);
}

    .select2-container .select2-selection--single .select2-selection__rendered {
        line-height: calc(1.875rem + 2px);
        padding-left: 1rem;
    }

    .select2-container .select2-selection--single .select2-selection__arrow {
        height: calc(1.875rem + 2px) !important;
    }

.select2-container--default .select2-selection--single .select2-selection__arrow {
    top: 0;
}

.select2-container--default.select2-container--disabled .select2-selection--single {
    background-color: #E9ECEF;
}

.required + .select2 .select2-selection, select[required] + .select2 .select2-selection {
    box-shadow: 3px 0 inset #dc3545;
}

select.form-control.select2-hidden-accessible.required:not([size]) {
    width: 100% !important;
    height: calc(1.8725rem + 2px) !important;
}

.input-group > .select2-container {
    position: relative;
    flex: 1 1 auto;
    width: 1% !important;
    margin-bottom: 0;
}

.select2-container .select2-selection--multiple {
    min-height: calc(1.8725rem + 2px);
    padding-bottom: 3px;
    padding-left: calc(0.8rem + 3px);
}

    .select2-container .select2-selection--multiple .select2-selection__clear,
    .select2-container .select2-selection--multiple .select2-selection__choice
    /*.select2-container .select2-selection--multiple .select2-search__field*/ {
        margin-top: 4px;
    }

    .select2-container .select2-selection--multiple .select2-selection__rendered {
        display: block;
        padding-left: 0;
    }

.spinner-border {
    width: 1rem;
    height: 1rem;
    border-width: 0.2em;
}

.btn .spinner-border {
    position: relative;
    bottom: 2px;
}


.table-striped tbody tr:nth-of-type(odd) td[class*="dtfc-fixed"] {
    background-color: #f1f3fa;
    border-right-width: 0;
}

.table-striped tbody tr:nth-of-type(even) td[class*="dtfc-fixed"] {
    background-color: #FFFFFF;
    border-right-width: 0;
}

th[class*="dtfc-fixed"] {
    background-color: #FFFFFF;
    border-right-width: 0;
}

.dataTables_scroll {
    padding-right: 2px;
}

.query-category {
    display: flex;
    flex-basis: 100%;
    margin-bottom: 1rem;
}

    .query-category .category-group {
        margin-left: .75rem;
    }

    .query-category label {
        white-space: nowrap;
        margin-bottom: .25rem;
    }

    .query-category button {
        margin-left: .25rem;
        margin-bottom: .25rem;
        /*font-size: 12px;*/
        padding: .28rem .8rem;
        /*            background: #edf1f5;
            color: #adb5bd;*/
        box-sizing: border-box;
    }

    .query-category .category-group button.category-item.active {
        color: #fff;
        background-color: #0e5dac;
    }


a.text-primary:focus, a.text-primary:hover {
    color: #006ec3 !important;
}

.validation-summary-valid ul {
    margin-bottom: 0;
}
